## ros-kinetic-eusurdf 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eusurdf)

find_package(catkin REQUIRED)

catkin_package()

include(cmake/eusurdf.cmake)
convert_eusmodel_to_urdf()
convert_eusscene_to_gazebo_world()
convert_eusscene_to_urdf_xacro()

set(INSTALL_DIRS models textured_models worlds launch)

find_package(knowrob_map_tools)
if(${knowrob_map_tools_FOUND})
  convert_eusscene_to_sem()
  install(DIRECTORY owl
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)
  list(APPEND INSTALL_DIRS owl)
endif()

install(DIRECTORY ${INSTALL_DIRS}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/convert-eus-to-urdf-test.launch)
endif()

=== debian/changelog ===
ros-kinetic-eusurdf (0.4.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-kinetic-eusurdf (0.4.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-kinetic-eusurdf (0.4.0-0xenial) xenial; urgency=high

  * [eusurdf] add cmake target for generating Semantic map from eusmodel (#194 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/194>)
    * [eusurdf] add cmake target for generating ontology if generator exists
    * [eusurdf][package.xml] add python-lxml as run_depend
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * use LinuxARM ARCHDIR for CMKAE_SYSTEM_PROCESSOR armv/aarch64
  * Contributors: Yohei Kakiuchi, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-kinetic-eusurdf (0.3.5-0xenial) xenial; urgency=high

  * add gazebo_ros to build_depend
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.4-0xenial) xenial; urgency=high

  * add python-lxml
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.1-0xenial) xenial; urgency=high

  * for kinetic release (#197 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/197>)
    * eusurdf/euslisp/eusmodel_to_urdf.l: if collada_urdf_jsk_patch does not exists, use collada_urdf
    * CMakeLists.txt, cmake/eusurdf.cmake : use collada_urdf if collada_urdf_jsk_patch is not found
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.0-0xenial) xenial; urgency=high

  * [eusurdf] fix: use :if-exists :new-version instead of :overwrite  (#196 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/196>)
  * use package://eusurdf instead of model:// (#195 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/195>)
    * [eusurdf] fix: try catch
    * [eusurdf] use 1 launch file to spawn; add option to publish tf for model
    * [eusurdf][convert-eus-to-urdf.l] fix: add / for directory path
    * [eusurdf][textured_models] use package://eusurdf instead of model:// for xacro
    * [eusurdf][urdf_to_xacro.py] convert model:// -> package://eusurdf
  * [eusurdf] generate urdf.xacro for model / scene (#193 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/193>)
    * [eusurdf][package.xml] add python-lxml as run_depend
    * [eusurdf][README.md] append usage about spawning urdf
    * [eusurdf][textured_models] add urdf.xacro for textured_models
    * [eusurdf] generate urdf.xacro from eusmodel / eusscene to make unified urdf
  * parallelize model generation (#188 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/188>)
    * [eusurdf][convert-eus-to-urdf.l] remove tmp-dir-no-duplication
    * [eusurdf][eusscene_to_world.l] raise error when model name is undefined
    * [eusurdf][convert-eus-to-urdf.l] fix: forgot to update
    * [eusurdf][convert-eus-to-urdf-test.l] update test
    * [eusurdf][convert-eus-to-urdf.l] create directory for world file if not created
    * [eusurdf][convert-eus-to-urdf.l] make argument world-file-path necessary; remove random-seed
    * [eusurdf] get collada_to_urdf bin path from cmake
    * [eusurdf] avoid intermediate files permission issue
    * [eusurdf][convert-eus-to-urdf.l] keep back compatibility
    * [eusurdf] cleanup old stuff
    * [eusurdf][textured_models] drop suffix for models
    * [eusurdf] parallelize model generation
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.2.5-0xenial) xenial; urgency=high

  * [eusurdf] add test of model conversion (#181 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/181>)
    * [eusurdf/CMakeLists.txt,package.xml] test model conversion in eusurdf package.
    * [eusurdf/test] add test directory in eusurdf. add script and launch to test model conversion.
    * [eusurdf/package.xml] add maintainer of eusurdf package.
    * [eusurdf/euslisp/convert-eus-to-urdf.l] add documentation of euslisp function to convert irteus->urdf.
  * [eusurdf/euslisp/convert-eus-to-urdf.l] get name from converted eus model if the argument name is not passed. (#169 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/169>)
  * Contributors: Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Oct 2016 00:00:00 -0000

ros-kinetic-eusurdf (0.2.4-0xenial) xenial; urgency=high

  * Ignore world files
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 30 Apr 2016 00:00:00 -0000

ros-kinetic-eusurdf (0.2.3-0xenial) xenial; urgency=high

  * [eusurdf/textured_models] add iemon/hamburger/wanda to texture_models
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 31 Dec 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.2.2-0xenial) xenial; urgency=high

  * [textured_models/room73b2-hitachi-fiesta-refrigerator-0] transparent inside board of fridge
  * [textured_models/room73b2-georgia-emerald-mountain-0] add texture of georgia can
  * [textured_models/room73b2-hitachi-fiesta-refrigerator-0/model.urdf] update to more realistic physics parameters
  * [textured_models] add georgia can
  * [CMakeLists.txt] install eusurdf/worlds directory
  * [CMakeLists.txt] add roseus to run_depend. use environment variable to get eusdir. call roseus without rosrun.
  * [eusurdf] add textured_models/
  * Contributors: Yuki Furuta, Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 11 Dec 2015 00:00:00 -0000



=== debian/control ===
Source: ros-kinetic-eusurdf
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python-lxml, ros-kinetic-catkin, ros-kinetic-collada-urdf, ros-kinetic-gazebo-ros, ros-kinetic-roseus, ros-kinetic-rostest
Homepage: http://ros.org/wiki/eusurdf
Standards-Version: 3.9.2

Package: ros-kinetic-eusurdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-lxml, ros-kinetic-collada-urdf, ros-kinetic-gazebo-ros, ros-kinetic-rostest
Description: urdf models converted from euslisp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-eusurdf//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
